#include <bits/stdc++.h>

using namespace std;

int main(){
    char a, b;
    cin >> a >> b;
    int n, m;
    cin >> n >> m;
    if(n-m>1 || m-n>1)
        cout << "nemoguce";
    else if(n>m)
    {
        for(int i = 0; i < m; i++)
            cout << a << b;
        cout << a;
    }
    else if(m>n)
    {
        for(int i = 0; i < n; i++)
            cout << b << a;
        cout << b;
    }
    else for(int i = 0; i < n; i++)
            cout << b << a;
}